VAL INT MAXDATA    IS 20:
VAL INT MAXLENGTH  IS 50:

VAL INT MSGLENGTH IS 2:


PROTOCOL RDATA IS [MSGLENGTH]INT:


PROTOCOL RDATAST IS
  CASE
    data;RDATA
    stop
:

    
PROTOCOL EVENT IS 
  CASE
    signal
    stop
:

PROTOCOL DATA IS INT:

PROTOCOL DATAST IS 
  CASE
    data;DATA
    stop
:
